/***************************************************************************
                          sbmpfont.h  -  description
                             -------------------
    begin                : Mon Dec 23 2002
    copyright            : (C) 2002 by Andre Stein
    email                : andre_stein@web.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef SBMPFONT_H
#define SBMPFONT_H

#include "sbmptexture.h"

/**
  *@author Andre Stein
  */

class SBMPFont
{
public: 
	SBMPFont();
	~SBMPFont();
        
        void init(const char* fontFile);

        void printAt(float x, float y, const char* text, bool second=false);
protected:
        SBMPTexture texture;
        GLuint lists;
};

#endif
